searchNodes=[{"doc":"Create deploy scripts and files for project.Usage# Create scripts and files MIX_ENV=prod mix deploy.generate","ref":"Mix.Tasks.Deploy.Generate.html","title":"Mix.Tasks.Deploy.Generate","type":"task"},{"doc":"Initialize template files.Command line options--template_dir - target directoryUsage# Copy default templates into your project mix deploy.init","ref":"Mix.Tasks.Deploy.Init.html","title":"Mix.Tasks.Deploy.Init","type":"task"},{"doc":"This task deploys a Distillery release to the local machine.It extracts the release tar to a timestamped directory like /srv/:app/releases/20170619175601, then makes a symlink from /srv/:app/current to it.This module looks for configuration in the mix project, to get the app and version, and under the application environment under mix_deploy.","ref":"Mix.Tasks.Deploy.Local.html","title":"Mix.Tasks.Deploy.Local","type":"task"},{"doc":"Update current symlink to point to the previous release directory.","ref":"Mix.Tasks.Deploy.Local.Rollback.html","title":"Mix.Tasks.Deploy.Local.Rollback","type":"task"},{"doc":"mix_deployThis module generates scripts which help deploy an Erlang release, handling tasks such as creating initial directory structure, unpacking release files, managing configuration, and starting/stopping. It supports deployment to the local machine, bare-metal servers or cloud servers using e.g. AWS CodeDeploy.It supports releases created with Elixir 1.9+ mix release or Distillery.It assumes that mix_systemd is used to generate a systemd unit file for the application, and shares conventions with it about naming files. See mix_systemd for examples.Here is a complete example app.","ref":"readme.html","title":"mix_deploy","type":"extras"},{"doc":"Add mix_deploy to the list of dependencies in mix.exs:def deps do [ {:mix_deploy, &quot;~&gt; 0.7&quot;}, ] end","ref":"readme.html#installation","title":"mix_deploy - Installation","type":"extras"},{"doc":"The most straightforward way to deploy an app is on a server at e.g. Digital Ocean. You can build and deploy on the same machine, checking out the code on a server, building/testing, then generating a release. You then run scripts to set up the runtime environment, including systemd unit scripts, extract the release to the target dir and run it under systemd.Configure the appFollow the Phoenix config process for deployment and releases. Make the app read its config from environment variables. Create a file with these environment vars and put it in config/environment.Configure mix_deploy and mix_systemd in config/config.exsconfig :mix_systemd, env_files: [ # Read environment vars from file /srv/foo/etc/environment [&quot;-&quot;, :deploy_dir, &quot;/etc/environment&quot;], ], # Set individual env vars env_vars: [ &quot;PORT=8080&quot; ], # Run app under this OS user, default is name of app app_user: &quot;app&quot;, app_group: &quot;app&quot; config :mix_deploy, app_user: &quot;app&quot;, app_group: &quot;app&quot; # When deploying, copy config/environment to /etc/foo/environment copy_files: [ %{ src: &quot;config/environment&quot;, dst: [:deploy_dir, &quot;/etc/environment&quot;], user: &quot;$DEPLOY_USER&quot;, group: &quot;$APP_GROUP&quot;, mode: &quot;640&quot; }, ], create_dirs: [ %{ path: [:deploy_dir, &quot;/etc&quot;], user: &quot;$DEPLOY_USER&quot;, group: &quot;$APP_GROUP&quot;, mode: &quot;750&quot; }, ], # Generate these scripts in bin templates: [ &quot;init-local&quot;, &quot;create-users&quot;, &quot;create-dirs&quot;, &quot;copy-files&quot;, &quot;enable&quot;, &quot;release&quot;, &quot;restart&quot;, &quot;rollback&quot;, &quot;start&quot;, &quot;stop&quot;, ]Initialize mix_systemd and mix_deploy and generate files.# Initialize mix_systemd templates mix systemd.init # Initialize mix_deploy templates mix deploy.init # Create systemd unit file for app under _build/prod/systemd MIX_ENV=prod mix systemd.generate # Create deploy scripts project `bin` dir MIX_ENV=prod mix deploy.generate chmod +x bin/*Set up the system.This creates the app OS user, directory structure under /srv/foo, and the systemd unit file which supervises the app.deploy-init-local is a convenience script which runs other scripts to set up the system:sudo bin/deploy-init-localIt does the following:# Create users to run the app bin/deploy-create-users # Create deploy dirs under /srv/foo bin/deploy-create-dirs # Copy scripts used at runtime by the systemd unit # Strictly speaking, you only need to copy scripts used at runtime cp bin/* /srv/foo/bin # Copy files and enable systemd unit bin/deploy-copy-files bin/deploy-enableBuild the Elixir releaseCreate the release, a tar file containing the app, the libraries it depends on, and scripts to manage it.MIX_ENV=prod mix releaseDeploy the release to the local machine:# Extract release to target directory, creating current symlink bin/deploy-release # Restart the systemd unit sudo bin/deploy-restartRoll back the release with the following:bin/deploy-rollback sudo bin/deploy-restartTry it outYour app should now be running:curl -v http://localhost:8080/If it is not, have a look at the logs.systemctl status foo journalctl -u fooIf you want it to run on port 80, you can redirect 80 to 8080 in the firewall.","ref":"readme.html#example","title":"mix_deploy - Example","type":"extras"},{"doc":"First, use the deploy.init task to template files from the library to the rel/templates/deploy directory in your project.mix deploy.initNext, generate the scripts based on your project's config:MIX_ENV=prod mix deploy.generate chmod +x bin/*By default, mix deploy.generate creates scripts under a bin directory at the top level of your project. If you want to keep them separate, e.g. to create different files based on the environment, set bin_dir to [:output_dir, &quot;bin&quot;] and it will generate files under e.g. _build/prod/deploy.","ref":"readme.html#usage","title":"mix_deploy - Usage","type":"extras"},{"doc":"The library tries to choose smart defaults. It reads the app name from mix.exs and calculates default values for its configuration parameters.If your app is named foo_bar, it will create a service named foo-bar, deployed to /srv/foo-bar, running under the user foo-bar.The library doesn't generate any output scripts by default, you need to enable them with the templates parameter. It can create the following scripts:Systemd scriptsThese are wrappers on e.g. /bin/systemctl restart foo. They are useful for e.g. CodeDeploy hook scripts where we have to run a script without parameters.deploy-start: Start servicesdeploy-stop: Stop servicesdeploy-restart: Restart servicesdeploy-enable: Enable systemd unitsSystem setup scriptsThese scripts set up the target system for the application. They are useful for local and automated deploy.deploy-create-users: Create OS accounts for app and deploy usersdeploy-create-dirs: Create dirs, including the release dir /srv/foo and standard dirs like /etc/foo if needed.Local deploy scriptsThese scripts deploy the app to the same server as it was built on:deploy-copy-files: Copy files from _build to target /srv/foo, or to a staging directory for packagingdeploy-release: Deploy release, extracting to a timestamped dir under /srv/foo/releases, then making a symlink from /srv/foo/currentdeploy-rollback: Rollback release, resetting the symlink to point to the previous releaseThe library also has mix tasks to deploy and roll back releases:mix deploy.local mix deploy.local.rollbackCodeDeploy deploy scriptsThese scripts run on the target machine as lifecycle hooks.deploy-clean-target: Delete files under target dir in preparation for deploying updatedeploy-extract-release: Extract release from tardeploy-set-perms: Set target file permissions so that they can be used by the app userBuild server scriptsThese scripts run on the build server.deploy-stage-files: Copy output files to staging directory, default filesRelease command scriptsThese scripts set up the environment and then run release commands. They make the config match the environment vars set at runtime in the systemd unit. With Elixir 1.9+ you can source /srv/foo/bin/set-env in rel/env.sh.eex. The other scripts are mainly useful with Distillery.set-env: Set up environmentdeploy-migrate: Migrate database on target system by running a custom command.deploy-remote-console: Launch remote console for the appRuntime environment scriptsThese scripts are called by the systemd unit to set get the application config at runtime prior to starting the app. They are more most useful with Distillery.Elixir 1.9+ mix releases support runtime configuration via config/releases.exs and rel/env.sh.eex. It is more secure, however, to separate the process of getting configuration from the app itself using ExecStartPre]). See mix_systemd for examples.deploy-sync-config-s3: Sync config files from S3 bucket to app configuration_dirdeploy-runtime-environment-file: Create \#{runtime_dir}/environment file on target from cloud-init metadatadeploy-runtime-environment-wrap: Get runtime environment from cloud-init metadata, set environment vars, then launch main script.deploy-set-cookie-ssm: Get Erlang VM cookie from AWS SSM Parameter Store and write to file.The most useful of these is deploy-sync-config-s3, the rest are code you might copy into rel/env.sh.eex.DependenciesThe generated scripts are mostly straight bash, with minimal dependencies.deploy-sync-config-s3 uses the AWS CLI to copy files from an S3 bucket.deploy-runtime-environment-file and deploy-runtime-environment-wrap use jq to parse the cloud-init JSON file.deploy-set-cookie-ssm uses the AWS CLI and jq to interact with Systems Manager Parameter Store.To install jq on Ubuntu:apt-get install jqTo install the AWS CLI from the OS package manager on Ubuntu:apt-get install awscli","ref":"readme.html#configuration","title":"mix_deploy - Configuration","type":"extras"},{"doc":"CodeDeployThe library can generate lifecycle hook scripts for use with a deployment system such as AWS CodeDeploy.config :mix_deploy, app_user: &quot;app&quot;, app_group: &quot;app&quot;, templates: [ &quot;stop&quot;, &quot;create-users&quot;, &quot;create-dirs&quot;, &quot;clean-target&quot;, &quot;extract-release&quot;, &quot;set-perms&quot;, &quot;migrate&quot;, &quot;enable&quot;, &quot;start&quot;, &quot;restart&quot;, ], ...Here is an example appspec.yml file:version: 0.0 os: linux files: - source: bin destination: /srv/foo/bin - source: systemd destination: /lib/systemd/system - source: etc destination: /srv/foo/etc hooks: ApplicationStop: - location: bin/deploy-stop timeout: 300 BeforeInstall: - location: bin/deploy-create-users - location: bin/deploy-create-dirs - location: bin/deploy-clean-target AfterInstall: - location: bin/deploy-extract-release - location: bin/deploy-set-perms - location: bin/deploy-enable ApplicationStart: - location: bin/deploy-migrate runas: app timeout: 300 - location: bin/deploy-start timeout: 3600 # ValidateService: - location: bin/validate-service timeout: 300StagingBy default, the scripts deploy the scripts as the same OS user that runs the mix deploy.generate command, and run the app under an OS user with the same name as the app.Many scripts allow you to override environment variables at execution time. For example, you can override the user accounts which own the files by setting the environment vars APP_USER, APP_GROUP, and DEPLOY_USER.Similarly, set DESTDIR and the copy script will add a prefix when copying files. This lets you copy files to a staging directory, tar it up, then extract it on a target machine, e.g.:mkdir -p ~/tmp/deploy DESTDIR=~/tmp/deploy bin/deploy-create-dirs DESTDIR=~/tmp/deploy bin/deploy-copy-files","ref":"readme.html#scenarios","title":"mix_deploy - Scenarios","type":"extras"},{"doc":"The following sections describe common configuration options. See lib/mix/tasks/deploy.ex for details of more obscure options.If you need to make changes not supported by the config options, then you can check the templates in rel/templates/deploy into source control and make your own changes. Contributions are welcome!The list of templates to generate is in the templates config var. You can modify this list to remove scripts, and they won't be generated. You can also add your own scripts and they will be run as templates with the config vars defined.Basicsapp_name: Elixir application name, an atom, from the app field in the mix.exs project.version: version field in mix.exs project.module_name: Elixir camel case module name version of app_name, e.g. FooBar.release_name: Name of release, default app_name.ext_name: External name, used for files and directories, default app_name with underscores converted to &quot;-&quot;, e.g. foo-bar.service_name: Name of the systemd service, default ext_name.release_system: :mix | :distillery, default :mixIdentifies the system used to generate the releases, Mix or Distillery.Usersdeploy_user: OS user account that is used to deploy the app, e.g. own the files and restart it. For security, this is separate from app_user, keeping the runtime user from being able to modify the source files. Defaults to the user running the script, supporting local deploy. For remote deploy, set this to a user like deploy or same as the app user.deploy_group: OS group account, default deploy_user.app_user: OS user account that the app should run under. Default deploy_user.app_group: OS group account, default deploy_group.Directoriesbase_dir: Base directory for app files on target, default /srv.deploy_dir: Directory for app files on target, default \#{base_dir}/\#{ext_name}.We use the standard app directories, for modern Linux systems. App files are under /srv, configuration under /etc, transient files under /run, data under /var/lib.Directories are named based on the app name, e.g. /etc/\#{ext_name}. The dirs variable specifies which directories the app uses. By default, it doesn't set up anything. To enable them, configure dirs, e.g.:dirs: [ # :runtime, # App runtime files which may be deleted between runs, /run/\#{ext_name} # :configuration, # App configuration, e.g. db passwords, /etc/\#{ext_name} # :state, # App data or state persisted between runs, /var/lib/\#{ext_name} # :cache, # App cache files which can be deleted, /var/cache/\#{ext_name} # :logs, # App external log files, not via journald, /var/log/\#{ext_name} # :tmp, # App temp files, /var/tmp/\#{ext_name} ],Recent versions of systemd (since 235) will create these directories at start time based on the settings in the unit file. For earlier systemd versions, deploy-create-dirs will create them.For security, we set permissions to 750, more restrictive than the systemd defaults of 755. You can configure them with variables like configuration_directory_mode. See the defaults in lib/mix/tasks/deploy.ex.systemd_version: Sets the systemd version on the target system, default 235. This determines which systemd features the library will enable. If you are targeting an older OS release, you may need to change it. Here are the systemd versions in common OS releases:CentOS 7: 219Ubuntu 16.04: 229Ubuntu 18.04: 237Additional directoriesThe library uses a directory structure under deploy_dir which supports multiple releases, similar to Capistrano.scripts_dir: deployment scripts which e.g. start and stop the unit, default bin.current_dir: where the current Erlang release is unpacked or referenced by symlink, default current.releases_dir: where versioned releases are unpacked, default releases.flags_dir: dir for flag files to trigger restart, e.g. when restart_method is :systemd_flag, default flags.When using multiple releases and symlinks, the deployment process works as follows:Create a new directory for the release with a timestamp like /srv/foo/releases/20181114T072116.Upload the new release tarball to the server and unpack it to the releases dirMake a symlink from /srv/\#{ext_name}/current to the new release dir.Restart the app.If you are only keeping a single version, then deploy it to the directory /srv/\#{ext_name}/current.","ref":"readme.html#configuration-options","title":"mix_deploy - Configuration options","type":"extras"},{"doc":"The following variables support variable expansion:expand_keys: [ :env_files, :env_vars, :runtime_environment_service_script, :conform_conf_path, :pid_file, :root_directory, :bin_dir, ]You can specify values as a list of terms, and it will look up atoms as keys in the config. This lets you reference e.g. the deploy dir or configuration dir without having to specify the full path, e.g. [&quot;!&quot;, :deploy_dir, &quot;/bin/myscript&quot;] gets converted to &quot;!/srv/foo/bin/myscript&quot;.Environment varsConfig vars set a few common env vars:mix_env: default Mix.env(), sets MIX_ENVenv_lang: default en_US.utf8, used to set LANGIn addition, you can set env_vars and env_files the same way as for mix_systemd. The set-env script will then set these variables the same way as they are in the systemd unit, allowing you to run release commands with the same config, e.g. database migrations or console. It also sets:RUNTIME_DIR: runtime_dir, if :runtime in dirsCONFIGURATION_DIR: configuration_dir, if :configuration in dirsLOGS_DIR: logs_dir, if :logs in dirsCACHE_DIR: cache_dir, if :cache in dirsSTATE_DIR: state_dir, if :state in dirsTMP_DIR: tmp_dir, if :tmp in dirsYou can set additional vars using env_vars, e.g.:env_vars: [ &quot;PORT=8080&quot;, ]You can also reference the value of other parameters by name, e.g.:env_vars: [ [&quot;RELEASE_TMP=&quot;, :runtime_dir], ]You can read environment vars from files with env_files, e.g.:env_files: [ [&quot;-&quot;, :deploy_dir, &quot;/etc/environment&quot;], [&quot;-&quot;, :configuration_dir, &quot;environment&quot;], [&quot;-&quot;, :runtime_dir, &quot;environment&quot;], ],The &quot;-&quot; at the beginning makes the file optional, the system will start without them. Later values override earlier values, so you can set defaults in the release which get overridden in the deployment or runtime environment.With Distillery, you can generate a file under the release with an overlay in rel/config.exs, e.g.:environment :prod do set overlays: [ {:mkdir, &quot;etc&quot;}, {:copy, &quot;rel/etc/environment&quot;, &quot;etc/environment&quot;}, # {:template, &quot;rel/etc/environment&quot;, &quot;etc/environment&quot;} ] endThat results in a file that would be read by:env_files: [ [&quot;-&quot;, :current_dir, &quot;/etc/environment&quot;], ],Starting and restartingThe following variables set systemd variables:service_type: :simple | :exec | :notify | :forking. systemd Type, default :simple.Modern applications don't fork, they run in the foreground and rely on the supervisor to manage them as a daemon. This is done by setting service_type to :simple or :exec. Note that in simple mode, systemd doesn't actually check if the app started successfully, it just continues starting other units. If something depends on your app being up, :exec may be better.Set service_type to :forking, and the library sets pid_file to \#{runtime_directory}/\#{app_name}.pid and sets the PIDFILE env var to tell the boot scripts where it is.The Erlang VM runs pretty well in foreground mode, but traditionally runs as as a standard Unix-style daemon, so forking might be better. Systemd expects foregrounded apps to die when their pipe closes. See https://elixirforum.com/t/systemd-cant-shutdown-my-foreground-app-cleanly/14581/2restart_method: :systemctl | :systemd_flag | :touch, default :systemctlThe normal situation is that the app will be restarted using e.g. systemctl restart foo.With :systemd_flag, an additional systemd unit file watches for changes to a flag file and restarts the main unit. This allows updates to be pushed to the target machine by an unprivileged user account which does not have permissions to restart processes. Touch the file \#{flags_dir}/restart.flag and systemd will restart the unit. See mix_systemd for details.With :touch, the app itself watches the file \#{flags_dir}/restart.flag. If it changes, the app shuts itself down, relying on systemd to notice and restart it.sudo_deploy: Creates /etc/sudoers.d/\#{ext_name} file which allows the deploy user to start/stop/restart the app using sudo. Default false. Note that when you must call systemctl with the full path, e.g. sudo /bin/systemctl restart foo for this to work.sudo_app: Creates /etc/sudoers.d/\#{ext_name} file allowing the app user user to start/stop/restart the app using sudo. Default false.Configuration examplesHere is a complete example of configuring an app from a config file which it pulls from S3 on startup.We set up an ExecStartPre command in the systemd unit file which runs deploy-sync-config-s3 before starting the app. It runs the AWS cli command:aws s3 sync &quot;s3://${CONFIG_S3_BUCKET}/${CONFIG_S3_PREFIX}&quot; &quot;${CONFIG_DIR}/&quot;CONFIG_S3_BUCKET is the source bucket, and CONFIG_S3_PREFIX is an optional path in the bucket. CONFIG_DIR is the app configuration dir on the target system, /etc/foo.We need to bootstrap the config process, so we use a different environment file from the main config.mkdir -p rel/etc echo &quot;CONFIG_S3_BUCKET=cogini-foo-dev-app-config&quot; &gt;&gt; rel/etc/environmentSet exec_start_pre in the mix_systemd config:config :mix_systemd, app_user: &quot;app&quot;, app_group: &quot;app&quot;, # systemd runs this before starting the app as root exec_start_pre: [ [&quot;!&quot;, :deploy_dir, &quot;/bin/deploy-sync-config-s3&quot;] ], dirs: [ # Create /etc/foo :configuration, # Create /run/foo :runtime, ], # systemd should not clean up /run/foo runtime_directory_preserve: &quot;yes&quot;, # Load env from /srv/foo/etc/environment and /etc/foo/environment env_files: [ [&quot;-&quot;, :deploy_dir, &quot;/etc/environment&quot;], [&quot;-&quot;, :configuration_dir, &quot;/environment&quot;], ], # deploy-copy-files will copy the env file to /srv/foo/etc # more likely it is done by e.g. appspec.yml copy_files: [ %{ src: &quot;rel/etc/environment&quot;, dst: [:deploy_dir, &quot;/etc&quot;], user: &quot;$DEPLOY_USER&quot;, group: &quot;$APP_GROUP&quot;, mode: &quot;640&quot; }, ], env_vars: [ # Temp files are in /run/foo [&quot;RELEASE_TMP=&quot;, :runtime_dir], ] config :mix_deploy, app_user: &quot;app&quot;, app_group: &quot;app&quot; templates: [ &quot;init-local&quot;, &quot;create-users&quot;, &quot;create-dirs&quot;, &quot;copy-files&quot;, &quot;enable&quot;, &quot;release&quot;, &quot;restart&quot;, &quot;rollback&quot;, &quot;start&quot;, &quot;stop&quot;, &quot;sync-config-s3&quot;, ], dirs: [ :configuration, :runtime, ], # Set env config in e.g. deploy-set-env to match above. env_files: [ [&quot;-&quot;, :deploy_dir, &quot;/etc/environment&quot;], [&quot;-&quot;, :configuration_dir, &quot;/environment&quot;], ] env_vars: [ [&quot;RELEASE_TMP=&quot;, :runtime_dir], ]For security, the app only has read-only access to its config files, and /etc/foo has ownership deploy:foo and mode 750. We prefix the command with &quot;!&quot; so it runs with elevated permissions, not as the foo user.We need to set the CONFIG_S3_BUCKET variable in the environment so that deploy-sync-config-s3 can use it. We can set it in env_vars or put it in the file /etc/foo/environment./srv/foo/etc/environment settings are configured at deploy time./etc/foo/environment settings might come from an S3 bucket./run/foo/environment settings might be generated dynamically, e.g. getting the IP address.For example, post_build commands in the CodeBuild CI buildspec.yml file can generate a config file files/etc/environment:post_build: commands: - mkdir -p files/etc - echo &quot;CONFIG_S3_BUCKET=$BUCKET_CONFIG&quot; &gt;&gt; files/etc/environmentThen the CodeDeploy appspec.yml copies it to the target system under /srv/foo/etc:files: - source: bin destination: /srv/foo/bin - source: systemd destination: /lib/systemd/system - source: etc destination: /srv/foo/etcSee mix_systemd for more examples.I am jakemorrison on on the Elixir Slack and Discord, reachfh on Freenode #elixir-lang IRC channel. Happy to chat or help with your projects.","ref":"readme.html#variable-expansion","title":"mix_deploy - Variable expansion","type":"extras"},{"doc":"ChangelogAll notable changes to this project will be documented in this file.The format is based on Keep a Changelog, and this project adheres to Semantic Versioning.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"AddedAbility to run custom function before starting, thanks @mitjok https://github.com/cogini/mix_deploy/pull/14","ref":"changelog.html#0-7-9-2021-07-26","title":"Changelog - [0.7.9] - 2021-07-26","type":"extras"},{"doc":"FixedMake Cmnd_Alias in /etc/sudoers.d file globally unique","ref":"changelog.html#0-7-8-2021-07-25","title":"Changelog - [0.7.8] - 2021-07-25","type":"extras"},{"doc":"FixedFix incorect file path copying /etc/sudoers.d file","ref":"changelog.html#0-7-7-2020-12-08","title":"Changelog - [0.7.7] - 2020-12-08","type":"extras"},{"doc":"ChangedExport vars to be visible in other scripts, thanks mitjokAdd ability to seed db, thanks mitjokUpdate deps for Elixir 1.11Update dialyxir versionFixedAvoid duplicate keys in the bindings passed to EEx.eval_file, thanks vimalearnestPass dir as charlist to :erl_tar.extract","ref":"changelog.html#0-7-6-2020-10-07","title":"Changelog - [0.7.6] - 2020-10-07","type":"extras"},{"doc":"FixedFix directory creation, closes https://github.com/cogini/mix_deploy/pull/7ChangedMake ex_doc dev only dependency againUpdate docs","ref":"changelog.html#0-7-5-2020-02-25","title":"Changelog - [0.7.5] - 2020-02-25","type":"extras"},{"doc":"ChangedUpdate mix_systemd and ex_doc","ref":"changelog.html#0-7-4-2020-02-12","title":"Changelog - [0.7.4] - 2020-02-12","type":"extras"},{"doc":"FixedFix problem with newlines in set-envChangedUse default LANG of en_US.utf8 for better compatibility between Linux versions","ref":"changelog.html#0-7-3-2020-01-24","title":"Changelog - [0.7.3] - 2020-01-24","type":"extras"},{"doc":"ChangedUpdated migrate and console scripts for mix releases","ref":"changelog.html#0-7-2-2020-01-21","title":"Changelog - [0.7.2] - 2020-01-21","type":"extras"},{"doc":"FixedUpdated path to tar file, closes https://github.com/cogini/mix_deploy/pull/2","ref":"changelog.html#0-7-1-2020-01-01","title":"Changelog - [0.7.1] - 2020-01-01","type":"extras"},{"doc":"AddedSupport Elixir 1.9 mix releaseSupport variable references in pathsRemovedRemoved obsolete option flags","ref":"changelog.html#0-7-0-2020-01-01","title":"Changelog - [0.7.0] - 2020-01-01","type":"extras"}]